Bug 19625 - Shibboleth auto-provisioning is broken in plack
Summary: Shibboleth auto-provisioning is broken in plack
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Matthias Meusburger
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17776
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-15 10:47 UTC by Matthias Meusburger
Modified: 2018-10-15 13:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Enable Shibboleth auto-provisioning for Plack (1.16 KB, patch)
2017-11-15 10:51 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 19625: Enable Shibboleth auto-provisioning for Plack (1.58 KB, patch)
2018-09-27 07:55 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 19625: Enable Shibboleth auto-provisioning for Plack (1.64 KB, patch)
2018-09-28 09:13 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Meusburger 2017-11-15 10:47:56 UTC
Like shibboleth authentication, shibboleth auto-provisioning is broken in plack.
Comment 1 Matthias Meusburger 2017-11-15 10:51:44 UTC
Created attachment 69151 [details] [review]
Enable Shibboleth auto-provisioning for Plack
Comment 2 Julian Maurice 2018-09-27 07:55:09 UTC
Created attachment 79467 [details] [review]
Bug 19625: Enable Shibboleth auto-provisioning for Plack

Test plan:
1. In $KOHA_CONF, check that //shibboleth/autocreate is set to 1
2. Find a user in Shibboleth that is not in Koha (or remove it from
   Koha)
3. Login with that user
4. Verify that the userid is not set correctly in Koha database
5. Apply the patch (restart starman)
6. Repeat steps 2 and 3
7. Verify that the userid is set correctly and the other
mapped fields if there are some

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 3 Martin Renvoize 2018-09-28 09:13:11 UTC
Created attachment 79561 [details] [review]
Bug 19625: Enable Shibboleth auto-provisioning for Plack

Test plan:
1. In $KOHA_CONF, check that //shibboleth/autocreate is set to 1
2. Find a user in Shibboleth that is not in Koha (or remove it from
   Koha)
3. Login with that user
4. Verify that the userid is not set correctly in Koha database
5. Apply the patch (restart starman)
6. Repeat steps 2 and 3
7. Verify that the userid is set correctly and the other
mapped fields if there are some

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-09-28 09:14:01 UTC
Good catch Matthias, works as expected, no regressions found. Passing QA
Comment 5 Nick Clemens 2018-10-09 16:26:25 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-10-15 13:41:37 UTC
Requires bug 17776 not in 18.05.x.